Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Namespace Tee

TeeChart namespace, contains all classes and methods.
Defined in: <..\..\src\teechart.js>.

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee

Field Summary
Field Attributes | Field Name and Description
--- | ---
<static> | Tee.DOMTip

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | Tee.CheckBox(chart, text, checked)
<static> | Tee.clickAt(pos)
<static> | Tee.clicked()
<static> | Tee.doHttpRequest(target, url, success, failure)
<static> | Tee.draw()
<static> | Tee.drawSpline(ctx, pts, t, move, closed)
<static> | Tee.gripRect(r)
<static> | Tee.invertThumb(value)
<static> | Tee.mousedown(event)
<static> | Tee.mousemove(p)
<static> | Tee.mouseout()
<static> | Tee.MyParametricGeometry(func, slices, stacks, useTris)
<static> | Tee.MyTorusGeometry(radius, tube, radialSegments, tubularSegments, arc)
<static> | Tee.onclick()
<static> | Tee.RainbowPalette()
<static> | Tee.resized()
<static> | Tee.Scroller(canvas, target)
<static> | Tee.setBounds(x, y, width, height)
<static> | Tee.Slider(chart, position)
<static> | Tee.SliderControl(canvas)
<static> | Tee.thumbRect(r)
<static> | Tee.useRange(value)

Namespace Detail
Tee
Field Detail
<static> Tee.DOMTip
Method Detail
<static> Tee.CheckBox(chart, text, checked)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
chart
text
checked

<static> Tee.clickAt(pos)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
pos

<static> Tee.clicked()
Defined in: <..\..\src\teechart-extras.js>.

<static> Tee.doHttpRequest(target, url, success, failure)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
target
url
success
failure

<static> Tee.draw()
Defined in: <..\..\src\teechart-extras.js>.

<static> Tee.drawSpline(ctx, pts, t, move, closed)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
ctx
pts
t
move
closed

<static> Tee.gripRect(r)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
r

<static> Tee.invertThumb(value)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
value

<static> Tee.mousedown(event)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
event

<static> Tee.mousemove(p)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
p

<static> Tee.mouseout()
Defined in: <..\..\src\teechart-extras.js>.

<static> Tee.MyParametricGeometry(func, slices, stacks, useTris)
Defined in: <..\..\src\teechart-3d.js>.

Parameters:
func
slices
stacks
useTris

<static> Tee.MyTorusGeometry(radius, tube, radialSegments, tubularSegments, arc)
Defined in: <..\..\src\teechart-3d.js>.

Parameters:
radius
tube
radialSegments
tubularSegments
arc

<static> Tee.onclick()
Defined in: <..\..\src\teechart-extras.js>.

<static> Tee.RainbowPalette()

<static> Tee.resized()
Defined in: <..\..\src\teechart-extras.js>.

<static> Tee.Scroller(canvas, target)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
canvas
target

<static> Tee.setBounds(x, y, width, height)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
x
y
width
height

<static> Tee.Slider(chart, position)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
chart
position

<static> Tee.SliderControl(canvas)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
canvas

<static> Tee.thumbRect(r)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
r

<static> Tee.useRange(value)
Defined in: <..\..\src\teechart-extras.js>.

Parameters:
value

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:36 GMT+0200 (CEST)